#ifndef WXGRIDCELLBITMAPRENDERER_H
#define WXGRIDCELLBITMAPRENDERER_H

#include <wx/grid.h>
#include <wx/bitmap.h>
#include <wx/dc.h>

class wxGridCellBitmapRenderer : public wxGridCellRenderer
{
 public:
  wxGridCellBitmapRenderer(wxBitmap& bitmap);

  virtual wxGridCellRenderer*	Clone () const;
  virtual void Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected);
  virtual wxSize GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col);

 private:
  wxBitmap _bitmap;
};

#endif
