#ifndef PASSWORDDIALOG_H
#define PASSWORDDIALOG_H

#include <list>

#include <wx/wx.h>
#include <wx/choice.h>
#include <wx/textctrl.h>
#include <controller/KissCount.h>
#include "wxUI.h"
#include <model/model.h>

class wxUI;
class KissCount;

class PasswordDialog : public wxDialog
{
 public: 
  PasswordDialog(KissCount* kiss, wxUI *parent);
  
  void OnOK(wxCommandEvent& event);
  void OnCancel(wxCommandEvent& event);

 private:
  KissCount* _kiss;
  wxUI* _wxUI;
  wxTextCtrl* _oldPassword, *_newPassword, *_confirmPassword;

  DECLARE_EVENT_TABLE();
};
#endif
